#pragma once

#ifndef FREERDP_CHANNEL_ESLUSB_CLIENT_DRDYNVC_H
#define FREERDP_CHANNEL_ESLUSB_CLIENT_DRDYNVC_H

#include <freerdp/types.h>

#include <freerdp/message.h>
#include <freerdp/freerdp.h>

/**
 * Client Interface
 */

typedef struct _eslusb_client_context EslusbClientContext;

typedef UINT (*pcEslusbOnChannelTransport)(EslusbClientContext* context, wStream* s);
typedef int (*pcEslusbOnChannelSend)(EslusbClientContext* context, void* data, size_t length);

struct _eslusb_client_context
{
    void* handle;
    void* custom;

    pcEslusbOnChannelTransport eslusbChannelTransport;
    pcEslusbOnChannelSend eslusbChannelSend;
    
    UINT32 lastRequestedFormatId;
    rdpContext* rdpcontext;
};

#endif /* FREERDP_CHANNEL_ESLSYN_CLIENT_DRDYNVC_H */
