#ifndef FREERDP_CHANNEL_GNWAY_CLIENT_GNWAY_H
#define FREERDP_CHANNEL_GNWAY_CLIENT_GNWAY_H

#include <freerdp/types.h>

#include <freerdp/message.h>
#include <freerdp/freerdp.h>

/**
 * Client Interface
 */

typedef struct _gnway_client_context GnwayClientContext;

typedef UINT (*pcGnwayOnChannelTransport)(GnwayClientContext* context, wStream* s);
typedef int (*pcGnwayOnChannelSend)(GnwayClientContext* context, void* data, size_t length);

struct _gnway_client_context
{
	void* handle;
	void* custom;

	pcGnwayOnChannelTransport gnwayChannelTransport;
	pcGnwayOnChannelSend gnwayChannelSend;

	UINT32 lastRequestedFormatId;
	rdpContext* rdpcontext;
};

#endif /* FREERDP_CHANNEL_GNWAY_CLIENT_GNWAY_H */

