#ifndef FREERDP_CHANNEL_ESLSYN_CLIENT_DRDYNVC_H
#define FREERDP_CHANNEL_ESLSYN_CLIENT_DRDYNVC_H

#include <freerdp/types.h>

#include <freerdp/message.h>
#include <freerdp/freerdp.h>

/**
 * Client Interface
 */

typedef struct _eslsyn_client_context EslsynClientContext;

typedef UINT (*pcEslsynOnChannelTransport)(EslsynClientContext* context, wStream* s);
typedef int (*pcEslsynOnChannelSend)(EslsynClientContext* context, void* data, size_t length);

struct _eslsyn_client_context
{
    void* handle;
    void* custom;

    pcEslsynOnChannelTransport eslsynChannelTransport;
    pcEslsynOnChannelSend eslsynChannelSend;
    
    UINT32 lastRequestedFormatId;
    rdpContext* rdpcontext;
};

#endif /* FREERDP_CHANNEL_ESLSYN_CLIENT_DRDYNVC_H */

