#ifndef FREERDP_CHANNEL_GMVP_CLIENT_DRDYNVC_H
#define FREERDP_CHANNEL_GMVP_CLIENT_DRDYNVC_H

#include <freerdp/types.h>

#include <freerdp/message.h>
#include <freerdp/freerdp.h>

/**
 * Client Interface
 */

typedef struct _gmvp_client_context GmvpClientContext;

typedef UINT (*pcGmvpOnChannelTransport)(GmvpClientContext* context, wStream* s);
typedef int (*pcGmvpOnChannelSend)(GmvpClientContext* context, void* data, size_t length);

struct _gmvp_client_context
{
    void* handle;
    void* custom;

    pcGmvpOnChannelTransport gmvpChannelTransport;
    pcGmvpOnChannelSend gmvpChannelSend;
    
    UINT32 lastRequestedFormatId;
    rdpContext* rdpcontext;
};

#endif /* FREERDP_CHANNEL_GMVP_CLIENT_DRDYNVC_H */

