#ifndef FREERDP_CHANNEL_GPRIN_CLIENT_DRDYNVC_H
#define FREERDP_CHANNEL_GPRIN_CLIENT_DRDYNVC_H

#include <freerdp/types.h>

#include <freerdp/message.h>
#include <freerdp/freerdp.h>

/**
 * Client Interface
 */

typedef struct _gprin_client_context GprinClientContext;

typedef UINT (*pcGprinOnChannelTransport)(GprinClientContext* context, wStream* s);
typedef int (*pcGprinOnChannelSend)(GprinClientContext* context, void* data, size_t length);

struct _gprin_client_context
{
    void* handle;
    void* custom;

    pcGprinOnChannelTransport gprinChannelTransport;
    pcGprinOnChannelSend gprinChannelSend;
    
    UINT32 lastRequestedFormatId;
    rdpContext* rdpcontext;
};

#endif /* FREERDP_CHANNEL_GPRIN_CLIENT_DRDYNVC_H */

